Class Index | File Index

## Classes

- _global_
- Array
- fabric.Circle
- fabric.Color
- fabric.Element
- fabric.Element#cache
- fabric.Ellipse
- fabric.Group
- fabric.Image
- fabric.Intersection
- fabric.Line
- fabric.Object
- fabric.Path
- fabric.PathGroup
- fabric.Point
- fabric.Polygon
- fabric.Polyline
- fabric.Rect
- fabric.Text
- fabric.Triangle
- fabric.util
- fabric.util.array
- fabric.util.object
- fabric.util.string
- Function
- String

# Built-In Namespace _global_

Field Summary
Field Attributes | Field Name and Description
--- | ---
| fabric
| getElementOffset
| scout

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addClass(element, className)
| animate(options)
| getById(id)
| getElement(uid)
| makeElement(tagName, attributes)
| setElement(uid, element)
| setOpacity(element)
| toArray(arrayLike)
| wrapElement(element, wrapper, attributes)

Field Detail
fabric
Defined in: parser.js.

getElementOffset
Defined in: dom_misc.js.

scout
Defined in: scout.js.
Method Detail
addClass(element, className)
Defined in: dom_misc.js.

Parameters:
element
className

animate(options)
Defined in: dom_misc.js.

Parameters:
options

getById(id)
Defined in: dom_misc.js.

Parameters:
id

getElement(uid)
Defined in: dom_event.js.

Parameters:
uid

makeElement(tagName, attributes)
Defined in: dom_misc.js.

Parameters:
tagName
attributes

setElement(uid, element)
Defined in: dom_event.js.

Parameters:
uid
element

setOpacity(element)
Defined in: dom_style.js.

Parameters:
element

toArray(arrayLike)
Defined in: dom_misc.js.

Parameters:
arrayLike

wrapElement(element, wrapper, attributes)
Defined in: dom_misc.js.

Parameters:
element
wrapper
attributes

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 14 2010 21:41:42 GMT-0400 (EDT)